package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.GroupStatusEnum;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(courses_group):
 */
public class CoursesGroup{

	/**  */
	private Long id;
	
	/** 课程组名称 */
	private String name;
	
	/** 科目 */
	private Integer subjectId;
	
	/** 课程开始时间 */
	private java.util.Date coursesStartDate;
	
	/** 课程结束时间 */
	private java.util.Date coursesEndDate;
	
	/** 课时安排 */
	private String teachingArrangement;
	
	/** 机构 */
	private Integer organId;
	
	/** 单次课时 */
	private Integer singleClassMinutes;
	
	/** 课程组状态 */
	private GroupStatusEnum status;
	
	/** 备注 */
	private String memo;
	
	/** 授课老师 */
	private Integer teacherId;
	
	/** 最大报名人数 */
	private Integer maxStudentNum;

	/** 已消耗课时数 */
	private Integer consumeMinutes;

	/** 已冻结课时数 */
	private Integer freezeMinutes;

	/** 教务老师 */
	private Integer educationalTeacherId;

	/** 报名结束时间 */
	private java.util.Date applyClosingDate;
	
	/** 教学规划 */
	private String teachingPlan;
	
	/** 老师课酬结算方式 */
	private String teacherSalarySettlementMethod;
	
	/** 课程总价 */
	private BigDecimal totalCoursesPrice;
	
	/** 课程折扣价 */
	private BigDecimal totalCourseDiscountPrice;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public Integer getEducationalTeacherId() {
		return educationalTeacherId;
	}

	public void setEducationalTeacherId(Integer educationalTeacherId) {
		this.educationalTeacherId = educationalTeacherId;
	}

	public Integer getConsumeMinutes() {
		return consumeMinutes;
	}

	public void setConsumeMinutes(Integer consumeMinutes) {
		this.consumeMinutes = consumeMinutes;
	}

	public Integer getFreezeMinutes() {
		return freezeMinutes;
	}

	public void setFreezeMinutes(Integer freezeMinutes) {
		this.freezeMinutes = freezeMinutes;
	}

	public BigDecimal getTotalCoursesPrice() {
		return totalCoursesPrice;
	}

	public void setTotalCoursesPrice(BigDecimal totalCoursesPrice) {
		this.totalCoursesPrice = totalCoursesPrice;
	}

	public BigDecimal getTotalCourseDiscountPrice() {
		return totalCourseDiscountPrice;
	}

	public void setTotalCourseDiscountPrice(BigDecimal totalCourseDiscountPrice) {
		this.totalCourseDiscountPrice = totalCourseDiscountPrice;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setSubjectId(Integer subjectId){
		this.subjectId = subjectId;
	}
	
	public Integer getSubjectId(){
		return this.subjectId;
	}
			
	public void setCoursesStartDate(java.util.Date coursesStartDate){
		this.coursesStartDate = coursesStartDate;
	}
	
	public java.util.Date getCoursesStartDate(){
		return this.coursesStartDate;
	}
			
	public void setCoursesEndDate(java.util.Date coursesEndDate){
		this.coursesEndDate = coursesEndDate;
	}
	
	public java.util.Date getCoursesEndDate(){
		return this.coursesEndDate;
	}
			
	public void setTeachingArrangement(String teachingArrangement){
		this.teachingArrangement = teachingArrangement;
	}
	
	public String getTeachingArrangement(){
		return this.teachingArrangement;
	}
			
	public void setOrganId(Integer organId){
		this.organId = organId;
	}
	
	public Integer getOrganId(){
		return this.organId;
	}
			
	public void setSingleClassMinutes(Integer singleClassMinutes){
		this.singleClassMinutes = singleClassMinutes;
	}
	
	public Integer getSingleClassMinutes(){
		return this.singleClassMinutes;
	}

	public GroupStatusEnum getStatus() {
		return status;
	}

	public void setStatus(GroupStatusEnum status) {
		this.status = status;
	}

	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setTeacherId(Integer teacherId){
		this.teacherId = teacherId;
	}
	
	public Integer getTeacherId(){
		return this.teacherId;
	}
			
	public void setMaxStudentNum(Integer maxStudentNum){
		this.maxStudentNum = maxStudentNum;
	}
	
	public Integer getMaxStudentNum(){
		return this.maxStudentNum;
	}
			
	public void setApplyClosingDate(java.util.Date applyClosingDate){
		this.applyClosingDate = applyClosingDate;
	}
	
	public java.util.Date getApplyClosingDate(){
		return this.applyClosingDate;
	}
			
	public void setTeachingPlan(String teachingPlan){
		this.teachingPlan = teachingPlan;
	}
	
	public String getTeachingPlan(){
		return this.teachingPlan;
	}
			
	public void setTeacherSalarySettlementMethod(String teacherSalarySettlementMethod){
		this.teacherSalarySettlementMethod = teacherSalarySettlementMethod;
	}
	
	public String getTeacherSalarySettlementMethod(){
		return this.teacherSalarySettlementMethod;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
